<?php

namespace App\Services\Report;

use App\Models\Project;
use App\Services\Report\DataAggregator;
use Illuminate\View\View;

class HtmlExporter
{
    public function export(Project $project, array $data): View
    {
        return view('reports.complete', $data);
    }

    public function exportPreview(array $data): View
    {
        return view('reports.partials._preview', $data);
    }
}